=== debian/changelog ===
opennms (21.0.3-1) stable; urgency=low

  * New minor stable release.  It contains mostly small bug fixes.
    
    For details on what has changed, see:
    http://docs.opennms.org/opennms/releases/21.0.3/releasenotes/releasenotes.html

 -- OpenNMS Release Manager <opennms@opennms.org>  Thu, 18 Jan 2018 13:30:00 -0500

opennms (21.0.2-1) stable; urgency=high

  * New minor stable release.  It contains some UI security fixes, other bug fixes,
    and a few small enhancements.
    
    For details on what has changed, see:
    http://docs.opennms.org/opennms/releases/21.0.2/releasenotes/releasenotes.html

 -- OpenNMS Release Manager <opennms@opennms.org>  Thu, 21 Dec 2017 10:00:00 -0500

opennms (21.0.1-1) stable; urgency=medium

  * New minor stable release.  It contains a few enhancements but is primarily a
    bugfix release, including a fix for the rendering issue in the topology UI
    and other Vaadin-based UI elements.
    
    For details on what has changed, see:
    http://docs.opennms.org/opennms/releases/21.0.1/releasenotes/releasenotes.html

 -- OpenNMS Release Manager <opennms@opennms.org>  Thu, 16 Nov 2017 10:00:00 -0500

opennms (21.0.0-1) stable; urgency=low

  * New major stable release.  This release contains a few new features and a
    lot of under-the-hood cleanups.
    
    For details on what has changed, see:
    http://docs.opennms.org/opennms/releases/21.0.0/releasenotes/releasenotes.html

 -- OpenNMS Release Manager <opennms@opennms.org>  Thu, 19 Oct 2017 10:00:00 -0500

opennms (20.1.0-1) stable; urgency=low

  * New stable release.  This release contains plenty of bug fixes and some
    new APIs.
    
    For details on what has changed, see:
    http://docs.opennms.org/opennms/releases/20.1.0/releasenotes/releasenotes.html

 -- OpenNMS Release Manager <opennms@opennms.org>  Thu, 21 Sep 2017 11:31:00 -0500

opennms (20.0.2-1) stable; urgency=medium

  * New stable release.  This release contains a number of important bug fixes
    as well as a few small enhancements.
    
    For details on what has changed, see:
    http://docs.opennms.org/opennms/releases/20.0.2/releasenotes/releasenotes.html

 -- OpenNMS Release Manager <opennms@opennms.org>  Thu, 17 Aug 2017 10:20:00 -0500

opennms (20.0.1-1) stable; urgency=high

  * New stable release.  This release contains a number of important bug fixes
    as well as a few small enhancements.
    
    For details on what has changed, see:
    http://docs.opennms.org/opennms/releases/20.0.1/releasenotes/releasenotes.html

 -- OpenNMS Release Manager <opennms@opennms.org>  Thu, 06 Jul 2017 11:33:00 -0500

opennms (20.0.0-1) stable; urgency=medium

  * New major release.  This release contains a ton of bug fixes and a few new
    features.
    
    For details on what has changed, see:
    http://docs.opennms.org/opennms/releases/20.0.0/releasenotes/releasenotes.html

 -- OpenNMS Release Manager <opennms@opennms.org>  Thu, 08 Jun 2017 10:26:00 -0500

opennms (19.1.0-1) stable; urgency=medium

  * New stable release.  This release contains a ton of bug fixes and a few new
    features.
    
    For details on what has changed, see:
    http://docs.opennms.org/opennms/releases/19.1.0/releasenotes/releasenotes.html

 -- OpenNMS Release Manager <opennms@opennms.org>  Mon, 08 May 2017 10:34:00 -0500

opennms (19.0.1-1) stable; urgency=high

  * New stable release.  This release contains a number of important fixes for
    folks who have hit upgrade issues, and a few other small bug fixes.
    
    For details on what has changed, see:
    http://docs.opennms.org/opennms/releases/19.0.1/releasenotes/releasenotes.html

 -- OpenNMS Release Manager <opennms@opennms.org>  Tue, 21 Feb 2017 11:53:00 -0500

opennms (19.0.0-1) stable; urgency=high

  * New stable release.  This is the first in the 19 series, with a ton of bug
    fixes and new features, most notably support for all major OpenNMS polling
    and collection features in the Minion.
    
    For details on what has changed, see:
    http://docs.opennms.org/opennms/releases/19.0.0/releasenotes/releasenotes.html

 -- OpenNMS Release Manager <opennms@opennms.org>  Mon, 13 Feb 2017 12:00:00 -0500

opennms (18.0.4-1) stable; urgency=high

  * New stable release.  This release contains a number of bug fixes and
    enhancements, including a fix for a deadlock that can be triggered by using
    the topology UI and a rather large performance fix for startup if you are
    using BSM.
    
    For details on what has changed, see:
    http://docs.opennms.org/opennms/releases/18.0.4/releasenotes/releasenotes.html

 -- OpenNMS Release Manager <opennms@opennms.org>  Thu, 05 Jan 2017 15:09:00 -0500

opennms (18.0.3-1) stable; urgency=high

  * New stable release.  This release contains a few bug fixes and a enhancements,
    and a fix for a discovery/provisioning regression that can cause duplicate nodes.
    
    For details on what has changed, see:
    http://docs.opennms.org/opennms/releases/18.0.3/releasenotes/releasenotes.html

 -- OpenNMS Release Manager <opennms@opennms.org>  Thu, 05 Jan 2017 15:09:00 -0500

opennms (18.0.2-1) stable; urgency=high

  * New stable release.  This release contains a few bug fixes and enhancements.
    For details on what has changed, see:
    http://docs.opennms.org/opennms/releases/18.0.2/releasenotes/releasenotes.html

 -- OpenNMS Release Manager <opennms@opennms.org>  Tue, 20 Sep 2016 12:29:50 -0500

opennms (18.0.1-2) stable; urgency=medium

  * Fix a bash-ism in the install script.

 -- OpenNMS Release Manager <opennms@opennms.org>  Thu, 28 Jul 2016 12:27:20 -0500

opennms (18.0.1-1) stable; urgency=low

  * New stable release.  This release contains a large number of bug fixes and
    a few enhancements.  For details on what has changed, see:
    http://docs.opennms.org/opennms/releases/18.0.1/releasenotes/releasenotes.html

 -- OpenNMS Release Manager <opennms@opennms.org>  Thu, 21 Jul 2016 10:26:44 -0500


