=== debian/control ===
Source: opennms
Section: contrib/net
Priority: optional
Maintainer: Jeff Gehlbach <jeffg@opennms.org>
Build-Depends: oracle-java8-installer | openjdk-8-jdk | java8-jdk, debhelper (>= 5.0.42), po-debconf (>= 1.0.5), rsync, nsis
Standards-Version: 3.7.3

Package: opennms
Architecture: all
Depends: opennms-db (=${binary:Version}), opennms-server (=${binary:Version}), opennms-webapp-jetty (=${binary:Version})
Recommends: opennms-source (=${binary:Version})
Suggests: opennms-doc
Description: Enterprise-grade Open-source Network Management Platform (Full Install)
 OpenNMS is an enterprise-grade network management system written in Java.
 .
 OpenNMS can monitor various network services to determine status and service
 level availability.  Data collection is performed using protocols such as SNMP
 to generate reports and alert on thresholds.  An extensible event management
 and notification system handles both internally and externally generated
 events (such as SNMP traps), and generates notices via email, pager, SMS, etc.
 .
 This package provides the components needed for a reasonable default
 installation of OpenNMS.

Package: opennms-source
Architecture: all
Depends: opennms-webapp-jetty (=${binary:Version})
Description: Enterprise-grade Open-source Network Management Platform (Source)
 OpenNMS is an enterprise-grade network management system written in Java.
 .
 OpenNMS can monitor various network services to determine status and service
 level availability.  Data collection is performed using protocols such as SNMP
 to generate reports and alert on thresholds.  An extensible event management
 and notification system handles both internally and externally generated
 events (such as SNMP traps), and generates notices via email, pager, SMS, etc.
 .
 This package contains the source tarball to be installed alongside the web UI
 for AGPL-compliance.

Package: opennms-db
Architecture: all
Depends: postgresql-10.0 | postgresql-9.6 | postgresql-9.5 | postgresql-9.4 | postgresql-9.3 | postgresql-9.2 | postgresql-9.1, iplike-pgsql10.0 | iplike-pgsql96 | iplike-pgsql95 | iplike-pgsql94 | iplike-pgsql93 | iplike-pgsql92 | iplike-pgsql91, debconf
Description: Enterprise-grade Open-source Network Management Platform (Database)
 OpenNMS is an enterprise-grade network management system written in Java.
 .
 OpenNMS can monitor various network services to determine status and service
 level availability.  Data collection is performed using protocols such as SNMP
 to generate reports and alert on thresholds.  An extensible event management
 and notification system handles both internally and externally generated
 events (such as SNMP traps), and generates notices via email, pager, SMS, etc.
 .
 This package provides the database components required by OpenNMS.
 .
 This package may be installed on a separate machine from the opennms-server
 package.

Package: opennms-server
Architecture: all
Depends: opennms-common (=${binary:Version}), libopennms-java (=${binary:Version}), libopennmsdeps-java (=${binary:Version}), mailx
Suggests: jrrd2, rrdtool (>= 1.4.8), postgresql-client-10.0 | postgresql-client-9.6 | postgresql-client-9.5 | postgresql-client-9.4 | postgresql-client-9.3 | postgresql-client-9.2 | postgresql-client-9.1
Description: Enterprise-grade Open-source Network Management Platform (Daemon)
 OpenNMS is an enterprise-grade network management system written in Java.
 .
 OpenNMS can monitor various network services to determine status and service
 level availability.  Data collection is performed using protocols such as SNMP
 to generate reports and alert on thresholds.  An extensible event management
 and notification system handles both internally and externally generated
 events (such as SNMP traps), and generates notices via email, pager, SMS, etc.
 .
 This package provides the OpenNMS backend daemon responsible for discovery,
 polling, data collection, notifications, etc (basically, anything that is not
 part of the web UI).

Package: opennms-remote-poller
Architecture: all
Conflicts: opennms-server
Depends: oracle-java8-installer | openjdk-8-jre | java8-runtime
Description: Enterprise-grade Open-source Network Management Platform (Remote Poller)
 OpenNMS is an enterprise-grade network management system written in Java.
 .
 OpenNMS can monitor various network services to determine status and service
 level availability.  Data collection is performed using protocols such as SNMP
 to generate reports and alert on thresholds.  An extensible event management
 and notification system handles both internally and externally generated
 events (such as SNMP traps), and generates notices via email, pager, SMS, etc.
 .
 This is the standalone remote poller for OpenNMS.

Package: opennms-jmx-config-generator
Architecture: all
Depends: oracle-java8-installer | openjdk-8-jre | java8-runtime | java8-runtime-headless
Description: Enterprise-grade Open-source Network Management Platform (JMX Config Generator)
 OpenNMS is an enterprise-grade network management system written in Java.
 .
 OpenNMS can monitor various network services to determine status and service
 level availability.  Data collection is performed using protocols such as SNMP
 to generate reports and alert on thresholds.  An extensible event management
 and notification system handles both internally and externally generated
 events (such as SNMP traps), and generates notices via email, pager, SMS, etc.
 .
 This is a utility for generating JMX configuration files.

Package: opennms-webapp-jetty
Architecture: all
Depends: opennms-server (=${binary:Version})
Conflicts: opennms-webapp
Description: Enterprise-grade Open-source Network Management Platform (Jetty Web UI)
 OpenNMS is an enterprise-grade network management system written in Java.
 .
 OpenNMS can monitor various network services to determine status and service
 level availability.  Data collection is performed using protocols such as SNMP
 to generate reports and alert on thresholds.  An extensible event management
 and notification system handles both internally and externally generated
 events (such as SNMP traps), and generates notices via email, pager, SMS, etc.
 .
 This package provides the Jetty version of the OpenNMS web UI, which runs
 embedded in the main OpenNMS daemon.  The default URL for this
 web UI is 'http://yourhost:8180/opennms/'

Package: opennms-webapp-remoting
Architecture: all
Depends: opennms-webapp-jetty (=${binary:Version})
Replaces: opennms-webapp-jetty (<< 19.0.0)
Breaks: opennms-webapp-jetty (<< 19.0.0)
Description: Enterprise-grade Open-source Network Management Platform (Remote Poller JNLP webapp)
 OpenNMS is an enterprise-grade network management system written in Java.
 .
 OpenNMS can monitor various network services to determine status and service
 level availability.  Data collection is performed using protocols such as SNMP
 to generate reports and alert on thresholds.  An extensible event management
 and notification system handles both internally and externally generated
 events (such as SNMP traps), and generates notices via email, pager, SMS, etc.
 .
 This webapp contains the JNLP application that provides the Remote Poller.

Package: opennms-ncs
Architecture: all
Depends: opennms-webapp-jetty (=${binary:Version})
Description: Enterprise-grade Open-source Network Management Platform (NCS)
 OpenNMS is an enterprise-grade network management system written in Java.
 .
 OpenNMS can monitor various network services to determine status and service
 level availability.  Data collection is performed using protocols such as SNMP
 to generate reports and alert on thresholds.  An extensible event management
 and notification system handles both internally and externally generated
 events (such as SNMP traps), and generates notices via email, pager, SMS, etc.
 .
 This package provides a framework for doing correlation of services across
 disparate nodes.

Package: opennms-common
Architecture: all
Depends: ${perl:Depends}, libdbi-perl, libdbd-pg-perl, libgetopt-mixed-perl
Recommends: libnet-snmp-perl, libxml2-utils, libwww-perl, libxml-twig-perl
Conflicts: opennms-plugin-protocol-xml (<<${binary:Version})
Replaces: opennms-plugin-protocol-xml (<<${binary:Version})
Description: Enterprise-grade Open-source Network Management Platform (Common Files)
 OpenNMS is an enterprise-grade network management system written in Java.
 .
 OpenNMS can monitor various network services to determine status and service
 level availability.  Data collection is performed using protocols such as SNMP
 to generate reports and alert on thresholds.  An extensible event management
 and notification system handles both internally and externally generated
 events (such as SNMP traps), and generates notices via email, pager, SMS, etc.
 .
 This package provides the common files required by both the main OpenNMS daemon
 and the OpenNMS web UI.

Package: libopennms-java
Architecture: all
Depends: oracle-java8-installer | openjdk-8-jre | java8-runtime | java8-runtime-headless, jicmp (>= 2.0.0), jicmp6 (>= 2.0.0)
Conflicts: opennms-plugin-protocol-xml (<<${binary:Version})
Replaces: opennms-common (<< 1.3.0), libicmp-jni (<< 1.3.0), opennms-plugin-protocol-xml (<<${binary:Version})
Description: Enterprise-grade Open-source Network Management Platform (OpenNMS Libraries)
 OpenNMS is an enterprise-grade network management system written in Java.
 .
 OpenNMS can monitor various network services to determine status and service
 level availability.  Data collection is performed using protocols such as SNMP
 to generate reports and alert on thresholds.  An extensible event management
 and notification system handles both internally and externally generated
 events (such as SNMP traps), and generates notices via email, pager, SMS, etc.
 .
 This package provides the OpenNMS Java libraries.

Package: libopennmsdeps-java
Architecture: all
Depends: oracle-java8-installer | openjdk-8-jre | java8-runtime | java8-runtime-headless
Description: Enterprise-grade Open-source Network Management Platform (Required Libraries)
 OpenNMS is an enterprise-grade network management system written in Java.
 .
 OpenNMS can monitor various network services to determine status and service
 level availability.  Data collection is performed using protocols such as SNMP
 to generate reports and alert on thresholds.  An extensible event management
 and notification system handles both internally and externally generated
 events (such as SNMP traps), and generates notices via email, pager, SMS, etc.
 .
 This package provides the external Java libraries required by OpenNMS.

Package: opennms-doc
Section: contrib/doc
Architecture: all
Description: Enterprise-grade Open-source Network Management Platform (Documentation)
 OpenNMS is an enterprise-grade network management system written in Java.
 .
 OpenNMS can monitor various network services to determine status and service
 level availability.  Data collection is performed using protocols such as SNMP
 to generate reports and alert on thresholds.  An extensible event management
 and notification system handles both internally and externally generated
 events (such as SNMP traps), and generates notices via email, pager, SMS, etc.
 .
 This package provides the user, administration, and programming documentation
 for OpenNMS.

Package: opennms-contrib
Architecture: all
Depends: opennms-common (=${binary:Version}), ${perl:Depends}
Description: Enterprise-grade Open-source Network Management Platform (Contrib)
 OpenNMS is an enterprise-grade network management system written in Java.
 .
 OpenNMS can monitor various network services to determine status and service
 level availability.  Data collection is performed using protocols such as SNMP
 to generate reports and alert on thresholds.  An extensible event management
 and notification system handles both internally and externally generated
 events (such as SNMP traps), and generates notices via email, pager, SMS, etc.
 .
