## opennms 22.0.3-1

=== debian/changelog ===
opennms (22.0.3-1) stable; urgency=high

  * New stable release.  It contains a critical fix for RADIUS authentication,
    as well as a number of smaller bug fixes and enhancements.
    
    For details on what has changed, see:
    http://docs.opennms.org/opennms/releases/22.0.3/releasenotes/releasenotes.html

 -- OpenNMS Release Manager <opennms@opennms.org>  Thu, 16 Aug 2018 10:11:00 -0500

opennms (22.0.2-1) stable; urgency=low

  * New stable release.  It contains a number of bug fixes and enhancements,
    including partial support for custom date formatting in the web UI.
    
    For details on what has changed, see:
    http://docs.opennms.org/opennms/releases/22.0.2/releasenotes/releasenotes.html

 -- OpenNMS Release Manager <opennms@opennms.org>  Thu, 19 Jul 2018 15:10:00 -0500

opennms (22.0.1-1) stable; urgency=low

  * New stable release.  It contains a number of bug fixes and enhancements,
    including an update to Drools 7, performance improvements to the flow
    exporter ReST endpoint, and new karaf shell tools for diagnosing nodes.
    
    For details on what has changed, see:
    http://docs.opennms.org/opennms/releases/22.0.1/releasenotes/releasenotes.html

 -- OpenNMS Release Manager <opennms@opennms.org>  Thu, 21 Jun 2018 12:20:00 -0500

opennms (22.0.0-1) stable; urgency=low

  * New major release.  It contains many bug fixes and enhancements, including
    support for flow telemetry.
    
    For details on what has changed, see:
    http://docs.opennms.org/opennms/releases/22.0.0/releasenotes/releasenotes.html

 -- OpenNMS Release Manager <opennms@opennms.org>  Mon, 21 May 2018 13:31:00 -0500

opennms (21.1.0-1) stable; urgency=low

  * New stable release.  It contains bug fixes and a few enhancements, including
    support for forwarding events, alarms, and nodes to Kafka.
    
    For details on what has changed, see:
    http://docs.opennms.org/opennms/releases/21.1.0/releasenotes/releasenotes.html

 -- OpenNMS Release Manager <opennms@opennms.org>  Thu, 19 Apr 2018 10:46:00 -0500

opennms (21.0.5-1) stable; urgency=low

  * New minor stable release.  It contains mostly bug fixes.
    
    For details on what has changed, see:
    http://docs.opennms.org/opennms/releases/21.0.5/releasenotes/releasenotes.html

 -- OpenNMS Release Manager <opennms@opennms.org>  Thu, 15 Mar 2018 10:53:00 -0500

opennms (21.0.4-1) stable; urgency=low

  * New minor stable release.  It contains bug fixes and a few performance
    enhancements.
    
    For details on what has changed, see:
    http://docs.opennms.org/opennms/releases/21.0.4/releasenotes/releasenotes.html

 -- OpenNMS Release Manager <opennms@opennms.org>  Thu, 15 Feb 2018 10:12:00 -0500
