=== opennms-assemblies/minion/src/main/filtered/debian/control ===
Source: opennms-minion
Maintainer: Benjamin Reed <ranger@opennms.org>
Section: contrib/net
Priority: optional
Standards-Version: 3.9.2
Build-Depends: debhelper (>= 9), oracle-java8-installer | openjdk-8-jdk | java8-jdk, rsync

Package: opennms-minion
Architecture: all
Depends: opennms-minion-features-default (=${binary:Version})
Description: distributed OpenNMS monitoring client
 OpenNMS Minion is a container infrastructure for distributed, scalable network
 management and monitoring.
 .
 http://www.opennms.org/wiki/Minion

Package: opennms-minion-container
Architecture: all
Depends: oracle-java8-installer | openjdk-8-jre | java8-runtime | java8-runtime-headless, adduser, openssh-client, uuid-runtime, sudo, jicmp (>= 2.0.0), jicmp6 (>= 2.0.0)
Description: distributed OpenNMS monitoring client (main container)
 OpenNMS Minion is a container infrastructure for distributed, scalable network
 management and monitoring.
 .
 http://www.opennms.org/wiki/Minion

Package: opennms-minion-features-core
Architecture: all
Depends: opennms-minion-container (=${binary:Version})
Description: distributed OpenNMS monitoring client (core features)
 OpenNMS Minion is a container infrastructure for distributed, scalable network
 management and monitoring.
 .
 http://www.opennms.org/wiki/Minion

Package: opennms-minion-features-default
Architecture: all
Depends: opennms-minion-features-core (=${binary:Version})
Description: distributed OpenNMS monitoring client (default features)
 OpenNMS Minion is a container infrastructure for distributed, scalable network
 management and monitoring.
 .
 http://www.opennms.org/wiki/Minion
