## opennms 23.0.2-1

=== debian/changelog ===
opennms (23.0.2-1) stable; urgency=low

  * New stable release.  It contains a number of bug fixes and enhancements,
    including performance improvements to topology maps, many fixes and
    improvements to Kafka support, and a bunch of correlation and alarm updates.
    
    For details on what has changed, see:
    http://docs.opennms.org/opennms/releases/23.0.2/releasenotes/releasenotes.html

 -- OpenNMS Release Manager <opennms@opennms.org>  Thu, 17 Jan 2019 11:05:30 -0500

opennms (23.0.1-1) stable; urgency=low

  * New stable release.  It contains a number of bug fixes and enhancements,
    including additional HTTP proxy support, reliability updates, UI performance
    improvements, and a number of Kafka-related fixes.
    
    For details on what has changed, see:
    http://docs.opennms.org/opennms/releases/23.0.1/releasenotes/releasenotes.html

 -- OpenNMS Release Manager <opennms@opennms.org>  Thu, 15 Nov 2018 11:21:45 -0500

opennms (23.0.0-1) stable; urgency=medium

  * New stable release.  It contains a number of bug fixes and enhancements,
    including support for alarm correlation, running OpenNMS components in an
    external container, and many other improvements.
    
    For details on what has changed, see:
    http://docs.opennms.org/opennms/releases/23.0.0/releasenotes/releasenotes.html

 -- OpenNMS Release Manager <opennms@opennms.org>  Thu, 25 Oct 2018 12:32:16 -0500

opennms (22.0.4-1) stable; urgency=low

  * New stable release.  It contains a number of bug fixes and enhancements,
    including fixes in upgrades, flows, date handling, topology UI performance,
    and minion management.
    
    For details on what has changed, see:
    http://docs.opennms.org/opennms/releases/22.0.4/releasenotes/releasenotes.html

 -- OpenNMS Release Manager <opennms@opennms.org>  Thu, 20 Sep 2018 12:22:27 +0100
